Skip to main content
GET
List rewards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>[]

Return the reward with the specified id. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

reward_template_id
string<uuid>[]

Return rewards resources with a reward template of the specified id. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

description
string

Return rewards with the specified description.

subtype
enum<string>

A short string representing the sub-type of the reward. This will be used as the subtype of the resulting transaction.

Available options:
ACCOUNT_OPENING_BONUS,
ACCOUNT_OPENING_BONUS_REVERSAL,
CASHBACK,
CASHBACK_REVERSAL,
INTEREST_RATE_BONUS,
INTEREST_RATE_BONUS_REVERSAL,
LOAN_INTEREST_RATE_REDUCTION,
LOAN_INTEREST_RATE_REDUCTION_REVERSAL,
MANUAL_ADJUSTMENT,
MANUAL_ADJUSTMENT_REVERSAL,
MILES,
MILES_REVERSAL,
MISCELLANEOUS,
MISCELLANEOUS_REVERSAL,
POINTS,
POINTS_REVERSAL,
REFERRAL_BONUS,
REFERRAL_BONUS_REVERSAL
start_time
string<date-time>

Return rewards created at or after this time.

end_time
string<date-time>

Return rewards created before this time.

account_id
string<uuid>[]

Return rewards for the specified account.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

derived_from_uuid
string<uuid>[]

Return rewards that were derived from (triggered by) the specified transaction UUID. Useful for surfacing the rewards associated with a given posted/pending transaction. Multiple IDs can be provided as a comma-separated list.

Example:

"54702cd9-789a-4a89-b2c6-ee168d26c540"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Response

List of rewards

rewards
Reward response object · object[]
required

Array of rewards

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"